﻿@import "settings/MKV";



@import "components/asciidoc";
@import "components/awesome-icons";

%lead {
  font-size: $paragraph-font-size;
  color: $blockquote-font-color;
}

/* <h2> begin each chapter of the book,
 * and we want each chapter to begin on a new page.
 */
h2 { page-break-before: always; }

@import url(https://fonts.googleapis.com/css?family=Alfa+Slab+One);
@import url(https://fonts.googleapis.com/css?family=Freckle+Face);
$alfaslabone: 'Alfa Slab One', serif;
$freckleface: 'Freckle Face', serif;

body {
  font-family: Arial, Helvetica, "Liberation Sans", FreeSans, sans-serif;
}
h2 {
  font-family: $freckleface;
  text-transform: uppercase;
}
h1,h3,h4 {
  font-family: $alfaslabone;
}
h3:after {
  content: ' ';
  display: block;
  border: 2px solid black;
}
h4:after {
  content: ' ';
  display: block;
  border: 1px solid black;
}

table thead tr th,
table tr th, table tr td {
  padding: 0.1em 0.1em;
}
table.frame-all,
table.grid-all > thead > tr > .tableblock,
table.grid-all > tbody > tr > .tableblock {
  border-width: 0;
}
table.tableblock {
  border-width: 0;
  border-collapse: collapse;
}
table thead,
table.grid-all > tbody > tr:nth-of-type(2n) {
  background-color: transparent;
  border-bottom: 1px solid rgba(0, 0, 0, 0.8);
}
table.grid-all > tbody > tr:nth-of-type(2n+1) {
  border-width: 0;
}

// selection.family=Alfa+Slab+One|Bevan|Bree+Serif|Changa+One|Freckle+Face|Lalezar|Love+Ya+Like+A+Sister|Passion+One|Vollkorn+SC



@media print {
  .sectionbody {
    column-count: 2;
  }
}






















dt, th.tableblock, td.content, div.footnote {
  // NOTE text-rendering is already set for p
  text-rendering: optimizeLegibility;
}

// QUESTION should we tighten letter spacing of text in footnotes?
h1, h2, p, td.content, span.alt {
  letter-spacing: -0.01em;
}



p, td.content, div.footnote {
  strong {
    // NOTE needs to apply anywhere we have bold prose
    letter-spacing: -0.005em;
  }
}

// NOTE include blockquote for when it doesn't have a nested p
p, blockquote, dt, td.content, span.alt {
  font-size: 1.0625rem;
}

p {
  margin-bottom: 1.25rem;
}

// restore font size in sidebar block and regular table cells
.sidebarblock p, .sidebarblock dt, .sidebarblock td.content, p.tableblock {
  font-size: 1em;
}

.exampleblock > .content {
  // white
  //background-color: #fff;
  //border-color: $panel-border-color;
  //@include single-box-shadow($panel-border-color, 0, 1px, 2px);

  // light yellow
  background-color: #fffef7; // from rgb(252,247,227), analogous to #f8f8f7
  border-color: $panel-border-color;
  @include single-box-shadow($panel-border-color, 0, 1px, 4px);
}

@import "components/print";

